# Generated from regurgitator-0.9.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name regurgitator

Name: rubygem-%{gem_name}
Version: 0.9.1
Release: 1%{?dist}
Summary: regurgitator - read-only Rack endpoints for MogileFS
License: GPL-2.0+
URL: https://yhbt.net/regurgitator/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1
BuildArch: noarch

%description
regurgitator is a GPL-licensed library and Rack middleware for
serving files stored in MogileFS.  It can be embedded inside
any existing Rack application or be used as a standalone Rack app.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.manifest
%license %{gem_instdir}/COPYING
%{gem_instdir}/GIT-VERSION-FILE
%{gem_instdir}/GIT-VERSION-GEN
%{gem_instdir}/GNUmakefile
%{gem_instdir}/LATEST
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/pkg.mk
%{gem_instdir}/setup.rb
%{gem_instdir}/t
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/.olddoc.yml
%doc %{gem_instdir}/NEWS
%doc %{gem_instdir}/README
%{gem_instdir}/examples
%{gem_instdir}/regurgitator.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 0.9.1-1
- Initial package
